﻿
/*---------------------------------------------------------------------------*

  Project: CrossRoad
  Copyright (C)2012-2015 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 *---------------------------------------------------------------------------*/

#pragma once
#ifndef INCLUDE_NN_NLIB_STREAM_H_
#define INCLUDE_NN_NLIB_STREAM_H_

#include "nn/nlib/Base64InputStream.h"
#include "nn/nlib/Base64OutputStream.h"
#include "nn/nlib/BinaryReader.h"
#include "nn/nlib/BinaryWriter.h"
#include "nn/nlib/FileInputStream.h"
#include "nn/nlib/FileOutputStream.h"
#include "nn/nlib/InputStream.h"
#include "nn/nlib/InputConverterStream.h"
#include "nn/nlib/MemoryInputStream.h"
#include "nn/nlib/MemoryOutputStream.h"
#include "nn/nlib/ConsoleOutputStream.h"
#include "nn/nlib/OutputStream.h"
#include "nn/nlib/OutputConverterStream.h"
#include "nn/nlib/ReallocOutputStream.h"
#include "nn/nlib/TextReader.h"
#include "nn/nlib/TextWriter.h"
#include "nn/nlib/WcharInputStream.h"
#include "nn/nlib/ZlibInputStream.h"
#include "nn/nlib/ZlibOutputStream.h"

#endif  // INCLUDE_NN_NLIB_STREAM_H_
