ECHO OFF
REM Please call from command prompt
REM vc120amd64, vc110amd64 do not work well.

IF "%1"=="vc120" (
	CALL "%VS120COMNTOOLS%VsDevCmd.bat"
) ELSE IF "%1"=="vc120amd64" (
	CALL "%VS120COMNTOOLS%..\..\VC\vcvarsall.bat" x86_amd64
) ELSE IF "%1"=="vc110" (
	CALL "%VS110COMNTOOLS%VsDevCmd.bat"
) ELSE IF "%1"=="vc110amd64" (
	CALL "%VS110COMNTOOLS%..\..\VC\vcvarsall.bat" x86_amd64
) ELSE IF "%1"=="vc100" (
	CALL "%VS100COMNTOOLS%vsvars32.bat" x86
) ELSE IF "%1"=="vc90" (
	CALL "%VS90COMNTOOLS%vsvars32.bat" x86
) ELSE (
	ECHO "A generator script for nmake(MSVC)"
	ECHO "Usage: gen-nmake.bat target"
	exit 1
)

if not "%ERRORLEVEL%" == "0" EXIT 1

cd /d %~dp0
set PJDIR=%1
mkdir %PJDIR% & cd %PJDIR%
 mkdir Release & cd Release
 cmake -DCAT_DIR=%PJDIR% -DCMAKE_BUILD_TYPE=Release -G "NMake Makefiles" ..\..\
 if not "%ERRORLEVEL%" == "0" EXIT 1
 cd ..
 mkdir Debug & cd Debug
 cmake -DCAT_DIR=%PJDIR% -DCMAKE_BUILD_TYPE=Debug -G "NMake Makefiles" ..\..\
 if not "%ERRORLEVEL%" == "0" EXIT 1
 cd ..
cd ..

