
add_sample(oss binarypatch nx_oss_bsdiff ${ZLIB_LIBRARIES})
add_sample(oss readsqldb nx_oss_sqlite3)

IF(CAFE)
	SET_PROPERTY(TARGET oss_readsqldb APPEND PROPERTY
		COMPILE_DEFINITIONS "DBDIR=/vol/save/nlibsample")
ELSEIF(CTR)
	nlib_cygwin_getwinpath(${NLIB_PKGROOT_DIR}/samples/sources/oss/resource respath)
	FILE(WRITE ${CMAKE_BINARY_DIR}/CMakeFiles/oss_readsqldb.dir/readsqldb.rsf
		"BasicInfo:\n"
		"  BackupMemoryType: None\n"
		"  Title: readsqldb\n"
		"Rom:\n"
		"  HostRoot: ${respath}\n"
		"CardInfo:\n"
		"  CardDevice: None\n"
		"TitleInfo:\n"
		"  UniqueId: 0xff3f\n"
		"AccessControlInfo:\n"
		"  FileSystemAccess:\n"
		"    - Debug\n"
		"    - DirectSdmc\n"
	)
	SET_PROPERTY(TARGET oss_readsqldb PROPERTY
		CTR_SPEC_RSF "${CMAKE_BINARY_DIR}/CMakeFiles/oss_readsqldb.dir/readsqldb.rsf")
	SET_PROPERTY(TARGET oss_readsqldb APPEND PROPERTY
		COMPILE_DEFINITIONS "DBDIR=rom:;NLIB_CTR_SAMPLE_USEFILE")
	generate_ctr_makeromopt(oss_readsqldb)
ELSEIF(NOT CYGWIN)
	SET_PROPERTY(TARGET oss_readsqldb APPEND PROPERTY
		COMPILE_DEFINITIONS "DBDIR=${NLIB_PKGROOT_DIR}/samples/sources/oss/resource")
ELSE()
	nlib_cygwin_getcygpath("${NLIB_PKGROOT_DIR}/samples/sources/oss/resource" dbdir)
	SET_PROPERTY(TARGET oss_readsqldb APPEND PROPERTY
		COMPILE_DEFINITIONS "DBDIR=${dbdir}")
ENDIF()

add_sample(oss sqlfromc nx_oss_sqlite3 nx_heap nx_misc)
